# Installation

## Prerequisites

There are two prerequisites for installing a Whatsapp bot in the CSML Studio.

1. you MUST have a verified Meta Business account
2. you MUST have a Meta Developer account

And more generally, you must be able to follow this guide to setup a Meta app correctly: <https://developers.facebook.com/docs/whatsapp/business-management-api/get-started>.

## Connecting Whatsapp to CSML Studio

In your bot in CSML Studio, go to **Channels** > **Connect a new channel,** then select **Whatsapp**.

In the next screen, enter a name and description for your channel (it is purely informational and can be changed later) and add the required credentials.

![](/files/Zt4zxgIkyltAVNjCSizO)

The **App ID** and **App Secret** can be found in the app's Basic Settings page:

![](/files/jcgRhDmVZK031zXIDpMw)

The **User Access Token,** **Phone Number ID** (*and not the actual phone number!*) and **WhatsApp Business Account ID** can be foud under **Whatsapp > Getting Started**. You can start with one of the Test numbers provided by Facebook, but in production you will want to change that to your own phone number once it is properly configured.

![](/files/9jBzLQEMEKlK9EmI5v9u)

Then, click **Save** to setup the channel. In the following page, you will also receive your Webhook configuration parameters:

![](/files/8nd6nA69Ds1UvlqfAkbo)

Use these parameters in the **Whatsapp > Configuration** page under **Callback URL** and **Verify token**. Make sure to also **subscribe to the `messages` Webhook field**.

![](/files/gucKzIKGMWejOuD9jEUp)

The final step before you can deploy this app to production is to [verify your business](https://www.facebook.com/business/help/2058515294227817) (if not already done), and obtain [the `whatsapp_business_management` permissions](https://developers.facebook.com/micro_site/url/?click_from_context_menu=true\&country=FR\&destination=https%3A%2F%2Fdevelopers.facebook.com%2Fdocs%2Fpermissions%2Freference%2Fwhatsapp_business_management\&event_type=click\&last_nav_impression_id=1KC47D7snVtyQUZe8\&max_percent_page_viewed=30\&max_viewport_height_px=831\&max_viewport_width_px=1512\&orig_http_referrer=https%3A%2F%2Fdevelopers.facebook.com%2Fdocs%2Fwhatsapp%2Fbusiness-management-api%2Fget-started\&orig_request_uri=https%3A%2F%2Fdevelopers.facebook.com%2Fajax%2Fdocs%2Fnav%2F%3Fpath1%3Dwhatsapp%26path2%3Dbusiness-management-api%26path3%3Dget-started\&region=emea\&scrolled=true\&session_id=1Q0luFHipTpQvWDFI\&site=developers).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.csml.dev/studio/channels/whatsapp/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
